capture log close
cd \\bbking\psellison\Econometrica\ 
log using 128s.log, replace

use sum128.dta

gen rank=exp(border)-1
gen rank12m=min(max(12-rank,0),6)
gen rank6m=min(max(6-rank,0),2)
gen rank4m=min(max(4-rank,0),2)
gen rank2m=max(2-rank,0)

gen p1=exp(lnp1)
gen p2=exp(lnp2)
gen p3=exp(lnp3)
gen aminp=exp(lnminp)

/* For Table 1 of the main text, Table 1 of the supplementary material, Elasticities.xls, and Graphs.xls */
sum if s==0
/*--------------------------------------------------------------------*/
/* For Table 1 of the supplementary material and Elasticities.xls */
sum if s==3
/*--------------------------------------------------------------------*/
/* For page 5 of the supplementary material */
tab ordrange if s==0

/*--------------------------------------------------------------------*/
/* For Elasticities.xls */  
sum if s==0 & rank>=2 & rank<=3
sum if s==0 & rank>=8 & rank<=10
/*--------------------------------------------------------------------*/

/* For Table 2 of the supplementary material */
drop if cnum~=2 & cnum~=1
sort s numdate cnum

gen rp1=p1[_n-1] if cnum==2 & numdate==numdate[_n-1] & cnum[_n-1]==1
replace rp1=p1[_n+1] if cnum==1 & numdate==numdate[_n+1] & cnum[_n+1]==2

gen rp2=p2[_n-1] if cnum==2 & numdate==numdate[_n-1] & cnum[_n-1]==1
replace rp2=p2[_n+1] if cnum==1 & numdate==numdate[_n+1] & cnum[_n+1]==2

gen rp3=p3[_n-1] if cnum==2 & numdate==numdate[_n-1] & cnum[_n-1]==1
replace rp3=p3[_n+1] if cnum==1 & numdate==numdate[_n+1] & cnum[_n+1]==2

gen lp1p1=log(rp1)-log(p1)
gen lp2p2=log(rp2)-log(p2)
gen lp3p3=log(rp3)-log(p3)

sum p1 p2 p3 border rp1 rp2 rp3 lp1p1 lp2p2 lp3p3 if s==0 & cnum==1
correlate lp1p1 lp2p2 lp3p3 if s==0 & cnum==1

clear

/* For Table 5 of the supplementary material */
/*--------------------------------------------------------------------- */
/* First-stage regressions on full dataset using cost-based instruments */
/*--------------------------------------------------------------------- */

use sum128.dta
keep if s==0
sort boost numdate
tsset boost numdate

xtpcse lnp1 ip1cnew ip2c ip3c border lnminp boost weekend t1-t12, correlation(ar1)
xtpcse lnp2 ip1cnew ip2c ip3c border lnminp boost weekend t1-t12, correlation(ar1)
xtpcse lnp3 ip1cnew ip2c ip3c border lnminp boost weekend t1-t12, correlation(ar1)

/*--------------------------------------------------------------------*/

clear

/* For Table 6 of the supplementary material */
/*------------------------------------------------------------------------- */
/* First-stage regressions on smaller dataset using other-speed instruments */
/*------------------------------------------------------------------------- */

use ml128s.dta
keep if s==0
sort boost numdate
tsset boost numdate

xtpcse lnp1 ip1os ip2os ip3os irankos lnminp boost weekend t1-t12, correlation(ar1)
xtpcse lnp2 ip1os ip2os ip3os irankos lnminp boost weekend t1-t12, correlation(ar1)
xtpcse lnp3 ip1os ip2os ip3os irankos lnminp boost weekend t1-t12, correlation(ar1)
xtpcse border ip1os ip2os ip3os irankos lnminp boost weekend t1-t12, correlation(ar1)

/*--------------------------------------------------------------------*/

clear



log close

